## postgresql-14 14.4.1

=== debian/changelog ===
postgresql-14 (14.4.1-1+deepin) UNRELEASED; urgency=medium

  * update

 -- Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>  Mon, 01 Aug 2022 12:30:33 +0800

postgresql-14 (14.4.1-1+deepin) unstable; urgency=medium

  * Add sunway support.

 -- Changwei Miao <miaochangwei@uniontech.com>  Mon, 01 Aug 2022 04:27:55 +0000
