=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-14
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -12,7 +11,7 @@
 Build-Depends:
  autoconf,
  bison,
- clang-14 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang-17 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  debhelper-compat (= 13),
  dh-exec (>= 0.13~),
  docbook-xml,
@@ -29,6 +28,7 @@
  liblz4-dev,
  libpam0g-dev | libpam-dev,
  libperl-dev,
+ libpq-dev <pkg.postgresql.nolibpkgs>,
  libreadline-dev,
  libselinux1-dev [linux-any],
  libssl-dev,
@@ -36,7 +36,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-14-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-17-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  mawk,
  perl (>= 5.8),
  pkg-config,
@@ -44,6 +44,8 @@
  python3-dev,
  systemtap-sdt-dev,
  tcl-dev,
+ tzdata <!nocheck>,
+ tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
  uuid-dev,
  xsltproc,
  zlib1g-dev | libz-dev,
@@ -52,8 +54,9 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 14
 
 Package: libpq-dev
-Architecture: any
-Section: libdevel
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 14/libdevel
 Depends:
  libpq5 (= ${binary:Version}),
  libssl-dev,
@@ -69,8 +72,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libpq5
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 14/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -89,8 +93,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libecpg6
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 14/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -104,8 +109,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libecpg-dev
-Architecture: any
-Section: libdevel
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 14/libdevel
 Depends:
  libecpg-compat3 (= ${binary:Version}),
  libecpg6 (= ${binary:Version}),
@@ -124,8 +130,9 @@
  embedded in them (rather than run by an external process).
 
 Package: libecpg-compat3
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 14/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -139,8 +146,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libpgtypes3
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 14/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -165,7 +173,7 @@
  ${shlibs:Depends},
 Provides:
  postgresql-contrib-14,
- postgresql-14-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ postgresql-14-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 Recommends:
  sysstat,
 Description: The World's Most Advanced Open Source Relational Database
@@ -211,9 +219,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-${llvm:Version} [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang-${llvm:Version} [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  libpq-dev (>= 14~~),
- llvm-${llvm:Version}-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-${llvm:Version}-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  postgresql-client-14,
  postgresql-common (>= 142~),
  ${misc:Depends},
